Package fr.gouv.vitam.worker.core.plugin.elimination.model

# Class EliminationAnalysisResult

java.lang.Object
fr.gouv.vitam.worker.core.plugin.elimination.model.EliminationAnalysisResult

public class EliminationAnalysisResult extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EliminationAnalysisResult()`
  `EliminationAnalysisResult(String operationId, EliminationGlobalStatus globalStatus, Set<String> destroyableOriginatingAgencies, Set<String> nonDestroyableOriginatingAgencies, List<EliminationExtendedInfo> extendedInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getDestroyableOriginatingAgencies()`
  `List<EliminationExtendedInfo>`
  `getExtendedInfo()`
  `EliminationGlobalStatus`
  `getGlobalStatus()`
  `Set<String>`
  `getNonDestroyableOriginatingAgencies()`
  `String`
  `getOperationId()`
  `void`
  `setDestroyableOriginatingAgencies(Set<String> destroyableOriginatingAgencies)`
  `void`
  `setExtendedInfo(List<EliminationExtendedInfo> extendedInfo)`
  `void`
  `setGlobalStatus(EliminationGlobalStatus globalStatus)`
  `void`
  `setNonDestroyableOriginatingAgencies(Set<String> nonDestroyableOriginatingAgencies)`
  `void`
  `setOperationId(String operationId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EliminationAnalysisResult

    public EliminationAnalysisResult()

  - ### EliminationAnalysisResult

    public EliminationAnalysisResult(String operationId, EliminationGlobalStatus globalStatus, Set<String> destroyableOriginatingAgencies, Set<String> nonDestroyableOriginatingAgencies, List<EliminationExtendedInfo> extendedInfo)

- ## Method Details

  - ### getOperationId

    public String getOperationId()

  - ### setOperationId

    public void setOperationId(String operationId)

  - ### getGlobalStatus

    public EliminationGlobalStatus getGlobalStatus()

  - ### setGlobalStatus

    public void setGlobalStatus(EliminationGlobalStatus globalStatus)

  - ### getDestroyableOriginatingAgencies

    public Set<String> getDestroyableOriginatingAgencies()

  - ### setDestroyableOriginatingAgencies

    public void setDestroyableOriginatingAgencies(Set<String> destroyableOriginatingAgencies)

  - ### getNonDestroyableOriginatingAgencies

    public Set<String> getNonDestroyableOriginatingAgencies()

  - ### setNonDestroyableOriginatingAgencies

    public void setNonDestroyableOriginatingAgencies(Set<String> nonDestroyableOriginatingAgencies)

  - ### getExtendedInfo

    public List<EliminationExtendedInfo> getExtendedInfo()

  - ### setExtendedInfo

    public void setExtendedInfo(List<EliminationExtendedInfo> extendedInfo)